class Dir:
    NOWAY = 10
    UNKNOWN = 1
    APPROACHING = 11
    RECEDING = 12

    def __init__(self, direction):
        """
        :type direction: int
        """
        self._int_to_str_map = {
            Dir.UNKNOWN: 'unknown',
            Dir.APPROACHING: 'approaching',
            Dir.RECEDING: 'receding',
            Dir.NOWAY: 'any'
        }
        self.dir = direction

    @staticmethod
    def deserialize(direction):
        """
        :type direction: str
        :rtype: Dir
        """
        str_to_int_map = {
            'unknown': Dir.UNKNOWN,
            'approaching': Dir.APPROACHING,
            'receding': Dir.RECEDING,
            'any': Dir.NOWAY
        }
        int_dir = str_to_int_map.get(direction)

        if int_dir is None:
            raise ValueError

        return Dir(int_dir)

    def __eq__(self, other):
        """
        :type other: Dir
        :rtype: bool
        """
        return self.dir == other.dir

    def __ne__(self, other):
        """
        :type other: Dir
        :rtype: bool
        """
        return self.dir != other.dir

    def __str__(self):
        """
        :rtype: str
        """
        return self._int_to_str_map[self.dir]

